GStringImpl (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.runtime

## [Java] Class GStringImpl

- org.codehaus.groovy.runtime.GStringImpl

- Default implementation of a GString used by the compiler. A GString consist of a list of values and strings which can be combined to create a new String.

  See Also:
    GString

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GString` | `EMPTY, EMPTY_OBJECT_ARRAY, EMPTY_STRING_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GStringImpl (Object[] values, String[] strings)` Create a new GString with values and strings.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String[]` | `getStrings()` Get the strings of this GString.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GString` | `build, charAt, compareTo, equals, equals, getBytes, getBytes, getStrings, getValue, getValueCount, getValues, hashCode, invokeMethod, length, negate, plus, plus, subSequence, toString, writeTo`
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GStringImpl(Object[] values, String[] strings)

      Create a new GString with values and strings.

      Each value is prefixed by a string, after the last value an additional String might be used. This means `strings.length == values.length || strings.length == values.length + 1`.

      NOTE: The lengths are not checked. Using different lengths might result in unpredictable behaviour.

      Parameters:
        `values` - the value parts
        `strings` - the string parts

  - ### Method Detail

    - #### public String[] getStrings()

      Get the strings of this GString.

      This methods returns the same array as used in the constructor. Changing the values will result in changes of the GString. It is not recommended to do so.